2018-03-17 03:03 EDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001769FSSCPsoundpublic2010-05-29 11:59
Assigned Totaylor 
Product Version3.6.11 
Target Version3.6.12 RC1Fixed in Version3.6.13 
Summary0001769: play-sound-from-file: sound file is re-played after Alt-TAB
DescriptionWell, this is probably an issue not worth fixing, but I thought I'll report it anyway.

I am using play-sound-from-file a lot in my missions. After opening, for example, goal window (F4) and then switching to windows desktop and then back to the game, part of the last used sound file is played again.
TagsNo tags attached.
Attached Files




Goober5000 (administrator)

Is this still a problem?


Tolwyn (reporter)

me thinks so. I'll check in a bit.


Tolwyn (reporter)

Yup. Example:

"Proceed to next waypoint" is played. Alt-Tab to Windows and back again: "to next waypoint" is played. It is actually not related to the goal window, alt-tabing to windows and back again will set this off.

It is not a big issue, but I thought I'll report this anyway. ;)


KeldorKatarn (reporter)

Not just alt-tab will set this off. For me it also happens if I go to any window like goals, options etc, then go back to the game. I don't even need to alt-tab for this to happen.


KeldorKatarn (reporter)

-This is a Saga need-


chief1983 (administrator)

I'm setting this as a goal for the next release but I'm not marking as high because you could probably play through the entire campaign and not encounter it.


KeldorKatarn (reporter)

Last edited: 2010-01-30 18:30

Problem seems to be that this kind of sound although set to loop=false is unpaused when returning to the gameplay from a screen that paused all sounds.
The sound is unpaused and therefore played again.
It should be set to be marked as already having played and not rewinded and paused. That might be the problem...

Might be better to not use the music routine but store it as a gamesound in the respective array like the ones parsed from the table. After that it could be handled like when called with the sexp play-sound-from-table.
It think the fact that these two sexps use an entirely different routine to load and play the file is part of the problem. play sound should be play sound. no matter where the sound comes from, file or table


Goober5000 (administrator)

Is this fixed with the new sound code?


taylor (administrator)

It should be fixed, but I haven't heard that specifically. I haven't been able to reproduce something similar and I did fix a few bugs that might have been causing the problem. So I'm assuming that it is fix and will resolve this bug once the code hits SVN (going to commit to trunk later this week).


taylor (administrator)

Assuming that it's fixed. Reopen if someone can still reproduce.


-Issue History
Date Modified Username Field Change
2008-09-17 16:29 Tolwyn New Issue
2009-01-20 00:24 Goober5000 Note Added: 0010575
2009-01-20 04:57 Tolwyn Note Added: 0010583
2009-01-22 07:06 Tolwyn Note Added: 0010593
2009-04-23 16:01 KeldorKatarn Note Added: 0010827
2009-06-26 13:01 KeldorKatarn Note Added: 0011001
2009-11-09 23:06 chief1983 Note Added: 0011236
2009-11-09 23:06 chief1983 Target Version => 3.6.12 RC1
2009-11-09 23:06 chief1983 Product Version => 3.6.11
2010-01-30 18:27 KeldorKatarn Note Added: 0011608
2010-01-30 18:30 KeldorKatarn Note Edited: 0011608
2010-02-15 15:43 taylor Status new => assigned
2010-02-15 15:43 taylor Assigned To => taylor
2010-05-19 00:59 Goober5000 Note Added: 0011976
2010-05-24 19:20 taylor Note Added: 0011996
2010-05-29 11:52 taylor Note Added: 0012027
2010-05-29 11:52 taylor Status assigned => resolved
2010-05-29 11:52 taylor Resolution open => fixed
2010-05-29 11:59 chief1983 Fixed in Version => 3.6.13
+Issue History